Subject: Re: [Simple] tel as device identifier

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 18 Jul 2005 00:46:23 -0400

I never got a chance to reply to this thread when it happened, but I 
wanted to indicate what the data model is going to say about this.

tel URI is not going to be discussed as a device identifier.

At the last ietf, we did agree that we would (continue) to have UUID as 
a device identifer, but have it be a valid one that therefore contains a 
time component. This means that it is temporally persistent (once 
created) and unique, but not that useful as a correlator with other 
information about the device. Oh well. The draft will say that better 
ones will come along in the future.

-Jonathan R.

Francois Audet wrote:

> Yeah, I agree with Cullen.
> 
> Tel is definitively not a device identifier. Even in most old 
> traditional PBXs, you
> have a device identifier that is used internally for that purpose.
> 
> There are hunt group numbers, 800 numbers, portable numbers, and with 
> SIP now, my telephone
> numbers rings a whole bunch of different devices.
> 
> It is anything but a device identifier, and the trend is intensifying.
> 
> 
> 
>  > -----Original Message-----
>  > From: [email-masked]
>  > [mailto:[email-masked]] On Behalf Of Cullen Jennings
>  > Sent: Tuesday, June 21, 2005 11:31
>  > To: Henning Schulzrinne; [email-masked]
>  > Subject: Re: [Simple] tel as device identifier
>  >
>  >
>  >
>  > tel is definitely not a unique device identifier - i have
>  > many devices with the same tel. Why not just use an UUID  URN
>  > as a device id.
>  >
>  >
>  >
>  >
>  > On 6/18/05 9:42 AM, "Henning Schulzrinne" <[email-masked]> wrote:
>  >
>  > > Currently, there is no really good device identifier
>  > (device-id), as
>  > > none of the obvious candidates (IMSI, MAC address, etc)
>  > currently have
>  > > a URN definition. In order to speed deployment, one quick-and-easy
>  > > suggestion is to use the tel URL. While this does not
>  > always identify
>  > > a single device, in many practical cases of interest, it does.
>  > > Examples where this is likely to work reasonably well
>  > include mobile
>  > > phones and residential analog phones (i.e., without ENUM).
>  > >
>  > > Comments?
>  > >
>  > > Henning
>  > >
>  > > _______________________________________________
>  > > Simple mailing list
>  > > [email-masked]
>  > > https://www1.ietf.org/mailman/listinfo/simple
>  >
>  >
>  > _______________________________________________
>  > Simple mailing list
>  > [email-masked]
>  > https://www1.ietf.org/mailman/listinfo/simple
>  >
>  >
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple